#include<iostream>
using namespace std;
struct point{
    long long x,y;
};
long long dist(point a,point b){
    return abs(a.x-b.x)*abs(a.x-b.x)+abs(a.y-b.y)*abs(a.y-b.y);
}
int main(){
    ios_base::sync_with_stdio(0);
    cin.tie(0);
int n;
cin>>n;
point a[n];
for(int i=0;i<n;i++){
    cin>>a[i].x>>a[i].y;
}
long long ans=0;
for(int i=1;i<n;i++){
    for(int j=0;j<i;j++){
        ans+=dist(a[i],a[j]);
    }
}
cout<<ans;
return 0;
}
